Bug 253803 - mkqdisk cannot use device with 4kb sector size
Summary: mkqdisk cannot use device with 4kb sector size
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cman   
(Show other bugs)
Version: 4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 272861
TreeView+ depends on / blocked
 
Reported: 2007-08-22 00:46 UTC by stanojr
Modified: 2009-04-16 19:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 20:29:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ioctl debugging program to grab sector / block sizes (617 bytes, text/plain)
2007-09-06 15:13 UTC, Lon Hohberger
no flags Details
Allows non-512 byte sector size, as determined by the BLKSSGET ioctl (26.58 KB, patch)
2007-09-06 20:40 UTC, Lon Hohberger
no flags Details | Diff

Description stanojr 2007-08-22 00:46:51 UTC
Description of problem:
mkqdisk cannot use device with 4kb sector size(probably only 512b sector size is ok)

Version-Release number of selected component (if applicable):
cluster-1.04.00.tar.gz

How reproducible:
# mkqdisk -c /dev/vg0/qdisk0 -l qdisk0
mkqdisk v0.5.1
Writing new quorum disk label 'qdisk0' to /dev/vg0/qdisk0.
WARNING: About to destroy all data on /dev/vg0/qdisk0; proceed [N/y] ? y
diskRawWriteShadow: Invalid argument
diskRawWriteShadow: aligned write returned -1, not 512
diskRawWriteShadow: Invalid argument

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Lon Hohberger 2007-09-04 19:12:48 UTC
This isn't hard to fix.  I need to change the write sizes to 4kb and such, though.

Comment 3 Lon Hohberger 2007-09-04 19:13:32 UTC
qdisk is missing the ability to grab sector sizes from block devices.

Comment 4 Lon Hohberger 2007-09-06 15:12:13 UTC
Also, I think using raw devices, you can end up with 512 byte sector sizes.  For
example:


Can you run this program and send me the output?

comple = gcc -o itest itest.c -Wall -Werror
run    = ./itest <device>

The MD5 sum for the program source code as attached is:

45fa2b62345f6e0f6c3a06e21602a43d

After that's done, you can also try the following to make qdisk work now:

(a) Set up a raw device to map to your device. For example:
   
    raw /dev/raw/raw1 /dev/vg0/qdisk0

... and try to run qdiskd using /dev/raw/raw1

(b) You can also just use raw shared SCSI disks instead of LVM maps (which is
recommended due to chicken-and-egg problems with Clustered LVM and qdisk)


Comment 5 Lon Hohberger 2007-09-06 15:13:35 UTC
Created attachment 188861 [details]
ioctl debugging program to grab sector / block sizes

Comment 6 Lon Hohberger 2007-09-06 20:40:43 UTC
Created attachment 189241 [details]
Allows non-512 byte sector size, as determined by the BLKSSGET ioctl


Note You need to log in before you can comment on or make changes to this bug.